include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libwebcam_linux (static)

if( HAVE_LINUX_VIDEODEV2_H )
  set( V4L_SOURCES v4l2_base.cpp )
elseif( HAVE_LINUX_VIDEODEV_H )
  set( V4L_SOURCES v4l1_base.cpp v4l1_pwc.cpp )
endif( )

tde_add_library( libwebcam_v4l STATIC_PIC

  SOURCES
        ${V4L_SOURCES}
        PPort.cpp
        port.cpp
        ccvt_c2.c
        ccvt_misc.c
)
